%define version 0.0.12
%define release %mkrel 1

Summary:	Command line program for playing FLAC audio files
Summary(de):	Kommandozeilenplayer für flac-Dateien
Name:		flac123
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		http://flac-tools.sourceforge.net/
Source:		http://downloads.sourceforge.net/flac-tools/%{name}-%{version}.tar.xz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	%{_lib}ao-devel
BuildRequires:	popt-devel
BuildRequires:	%{_lib}flac8-devel 
BuildRequires:	%{_lib}ogg-devel
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2


%description
%{name} is a command-line program for playing FLAC audio files.

%description -l de
%{name} ist ein Musikplayer für die Kommandozeile, der FLAC-Musik-Dateien
abspielt.

%prep
%setup -q

%build
%configure2_5x
%make CPPFLAGS=-DHAVE_INTTYPES_H

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog NEWS README*
%{_bindir}/*

%changelog
* Thu May 24 2012 Neal <nealbrks0 at gmail dot com> 0.0.12-1pclos2012
- corrected BuildRequires
- process

* Thu May 24 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.0.12-1pclos2012
- 0.0.12
- added german summary and description
- added xz compression
- added %{_lib} macros
- added Requires: *

* Sun Mar 28 2010 Texstar <texstar at gmail.com> 0.0.11-2pclos2010
- rebuild against updated libao

* Fri Dec 05 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 0.0.11-1pclos2007
- New version 0.0.11


